### File

`packages/ecl/components/ecl-modal/ecl-modal-body-fixed.directive.ts`

### Description

Directive for styling fixed content inside the modal body.

Applies the appropriate CSS class to mark the element as fixed inside the modal body.

### Extends

`ECLBaseDirective`

### Metadata

Selector | `[eclModalBodyFixedContent]`

### Index

###### Properties
className
###### Methods
getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
class.ecl-modal__body-fixed

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class.ecl-modal__body-fixed
Type : `boolean`
Default value : `true`
Applies the `ecl-modal__body-fixed` class to the host element.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

className
Type : `unknown`
Default value : `true`
Decorators : `@HostBinding('class.ecl-modal__body-fixed')`
Applies the `ecl-modal__body-fixed` class to the host element.

# results matching ""

# No results matching ""